Share via


Instances - Delete

Deletes instance.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DeviceUpdate/accounts/{accountName}/instances/{instanceName}?api-version=2023-07-01

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 24
pattern: ^[A-Za-z0-9]+(-[A-Za-z0-9]+)*$

Account name.

instanceName
path True

string

minLength: 3
maxLength: 36
pattern: ^[A-Za-z0-9]+(-[A-Za-z0-9]+)*$

Instance name.

resourceGroupName
path True

string

The resource group name.

subscriptionId
path True

string

The Azure subscription ID.

api-version
query True

string

ADU schema API version.

Responses

Name Type Description
200 OK

Instance was deleted.

202 Accepted

Async operation to delete Instance was created.

Headers

Location: string

204 No Content

Instance has been already deleted.

Other Status Codes

ErrorResponse

Error response describing the reason for operation failure.

Security

azure_auth

Azure Active Directory OAuth2 flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation Impersonate your user account

Examples

Deletes instance

Sample request

DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/test-rg/providers/Microsoft.DeviceUpdate/accounts/contoso/instances/blue?api-version=2023-07-01

Sample response

Location: https://management.azure.com/providers/Microsoft.DeviceUpdate/locations/westus2/operationStatuses/00000000-0000-0000-0000-000000000000*427E3E07F4C0A3DCD66951C42FD7BCD794AEAC5E321728AFBDCAA7C02E9CD4D3?api-version=2023-07-01

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.